POST api/PhysicalTherapy/PostSuppliesType

Request Information

URI Parameters

None.

Body Parameters

CPWSuppliesDTO
NameDescriptionTypeAdditional information
Id

integer

None.

SuppliesId

integer

None.

ClinicalPathwayId

integer

None.

Quantity

string

String length: inclusive between 0 and 10

CPTCode

string

String length: inclusive between 0 and 20

ICD10List

Collection of integer

None.

ICD10

integer

None.

UserName

string

String length: inclusive between 0 and 100

SuppliesName

string

String length: inclusive between 0 and 100

ICD10Type

string

String length: inclusive between 0 and 100

ICD10TypeList

Collection of integer

None.

SuppliesTypeId

integer

None.

SuppliesType

string

String length: inclusive between 0 and 100

CPWPT_Order_ICD10List

Collection of CPWPT_Order_ICD10DTO

None.

ICD10Code

string

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "SuppliesId": 1,
  "ClinicalPathwayId": 2,
  "Quantity": "sample string 3",
  "CPTCode": "sample string 4",
  "ICD10List": [
    1,
    2
  ],
  "ICD10": 5,
  "UserName": "sample string 6",
  "SuppliesName": "sample string 7",
  "ICD10Type": "sample string 8",
  "ICD10TypeList": [
    1,
    2
  ],
  "SuppliesTypeId": 9,
  "SuppliesType": "sample string 10",
  "CPWPT_Order_ICD10List": [
    {
      "ICD10": 1,
      "ICD10Type": "sample string 1"
    },
    {
      "ICD10": 1,
      "ICD10Type": "sample string 1"
    }
  ],
  "ICD10Code": "sample string 11",
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:51:29.7539063-07:00",
  "DateUpdated": "2026-06-20T12:51:29.7539063-07:00",
  "UserIDCreated": 15,
  "UserIDUpdated": 16,
  "CompanyCode": "sample string 17",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCPWSuppliesDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CPWSuppliesDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "SuppliesId": 1,
    "ClinicalPathwayId": 2,
    "Quantity": "sample string 3",
    "CPTCode": "sample string 4",
    "ICD10List": [
      1,
      2
    ],
    "ICD10": 5,
    "UserName": "sample string 6",
    "SuppliesName": "sample string 7",
    "ICD10Type": "sample string 8",
    "ICD10TypeList": [
      1,
      2
    ],
    "SuppliesTypeId": 9,
    "SuppliesType": "sample string 10",
    "CPWPT_Order_ICD10List": [
      {
        "ICD10": 1,
        "ICD10Type": "sample string 1"
      },
      {
        "ICD10": 1,
        "ICD10Type": "sample string 1"
      }
    ],
    "ICD10Code": "sample string 11",
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:51:29.7539063-07:00",
    "DateUpdated": "2026-06-20T12:51:29.7539063-07:00",
    "UserIDCreated": 15,
    "UserIDUpdated": 16,
    "CompanyCode": "sample string 17",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}